Subject: Re: The "make" command and file handle problem
From: "Johan Bezem" <[email-masked]>
To: Andrew Chang <[email-masked]>
Cc: [email-masked]
Date: Tue, 09 Jul 2002 10:23:13 +0200

Hi,

Andrew Chang wrote:
> 
> On cygwin1.3.12-1, I am running a multi-level makefile.
> For some reason the top level make seems corrupt the file handle
> of the its sub-process. (redirected i/o no longer works in the sub-process).
> Note that my top level makefile is a very complex makefile, it probably
> works fine if you have a simple makefile.
> Fortunately, I stumble across a workaround; It turns out if you spawn
> the lower level make via the DOS shell, the problem goes away.
> 
> e.g.
> 
> low_level_target:
>         cd sub_dir && cmd /c make low_level_stuff;
> 
> Hope this will save someone sometime...

Without further data as to used versions, this will hardly help anyone. I'm
using a "very complex makefile" (whatever that is) on multiple directory
levels under bash, and I have no problems...
How did you deduce that make is corrupting a file handle?

Regards,,

Johan Bezem
CSK Software AG

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/